gnutls_group_get(3)

NAME
gnutls_group_get - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_group_t gnutls_group_get(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
Returns the currently used group for key exchange. Only valid when using an elliptic curve or DH ciphersuite.

RETURNS
the currently used group, a gnutls_group_t type.

SINCE
3.6.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/